gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.AttrString

Contents

- Exported types
- Properties
  - attr
  - value

Description

The `AttrString` structure is used to represent attributes with a string value.

Synopsis

- newtype AttrString = AttrString (ManagedPtr AttrString)
- newZeroAttrString :: MonadIO m => m AttrString
- noAttrString :: Maybe AttrString
- getAttrStringAttr :: MonadIO m => AttrString -> m Attribute
- clearAttrStringValue :: MonadIO m => AttrString -> m ()
- getAttrStringValue :: MonadIO m => AttrString -> m (Maybe Text)
- setAttrStringValue :: MonadIO m => AttrString -> CString -> m ()

# Exported types

newtype AttrString Source #

Memory-managed wrapper type.

Constructors

AttrString (ManagedPtr AttrString) |

Instances

WrappedPtr AttrString Source # |
Instance details Defined in GI.Pango.Structs.AttrString Methods wrappedPtrCalloc :: IO (Ptr AttrString) Source # wrappedPtrCopy :: AttrString -> IO AttrString Source # wrappedPtrFree :: Maybe (FunPtr (Ptr AttrString -> IO ())) Source #
tag ~ AttrSet => Constructible AttrString tag Source # |
Instance details Defined in GI.Pango.Structs.AttrString Methods new :: MonadIO m => (ManagedPtr AttrString -> AttrString) -> [AttrOp AttrString tag] -> m AttrString Source #

newZeroAttrString :: MonadIO m => m AttrString Source #

Construct a `AttrString` struct initialized to zero.

noAttrString :: Maybe AttrString Source #

A convenience alias for `Nothing` :: `Maybe` `AttrString`.

# Properties

## attr

the common portion of the attribute

getAttrStringAttr :: MonadIO m => AttrString -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrString #attr

## value

the string which is the value of the attribute

clearAttrStringValue :: MonadIO m => AttrString -> m () Source #

Set the value of the “`value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #value

getAttrStringValue :: MonadIO m => AttrString -> m (Maybe Text) Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get attrString #value

setAttrStringValue :: MonadIO m => AttrString -> CString -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set attrString [ #value := value ]